org.eclipse.emf.cdo.common.util

## Class CountedTimeProvider

- java.lang.Object
- - org.eclipse.emf.cdo.common.util.CountedTimeProvider

- All Implemented Interfaces:
    CDOTimeProvider

      public final class CountedTimeProvider
      extends java.lang.Object
      implements CDOTimeProvider

  Since:
    4.6
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CountedTimeProvider()`
    `CountedTimeProvider(long initialValue)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getTimeStamp()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CountedTimeProvider

          public CountedTimeProvider()

    - #### CountedTimeProvider

          public CountedTimeProvider(long initialValue)

  - ### Method Detail

    - #### getTimeStamp

          public long getTimeStamp()

      Specified by:
        `getTimeStamp` in interface `CDOTimeProvider`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html